# Update a single forward rule by ID

All parameters are optional, only the provided fields will be updated

Endpoint: PUT /v3/forwards/{id}
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `id` (string, required)
    The ID of the forward rule

## Query parameters:

  - `match` (string, required)
    A wildcard expression which matches the recipient address to forward. This is a insensitive match address

  - `forward.url` (string, required)
    A URL to forward when the rule matches the recipient. May be repeated up to 3 times. Must be a valid URL that resolves

  - `forward.recipient` (string, required)
    A email address to forward to when the rule matches the recipient. May be repeated up to 5 times

  - `forward.store` (string, required)
    A URL which will be used to notify you when the email arrives along with a URL you can use to retrieve the message. Must be a valid URL that resolves

## Response 200 fields (application/json):

  - `id` (string, required)

  - `account_id` (string, required)

  - `domain_name` (string, required)

  - `domain_id` (string, required)

  - `match` (string, required)

  - `forward` (object, required)

  - `forward.urls` (array, required)

  - `forward.recipients` (array)

  - `forward.store` (string)

  - `created_at` (string, required)

  - `updated_at` (string, required)

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message

## Response 500 fields (application/json):

  - `message` (string, required)
    Response message


